Bug Hunting Session
Bug 67498 - FILEOPEN: Formatting RTF
Summary: FILEOPEN: Formatting RTF
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-29 18:48 UTC by odbc
Modified: 2017-11-02 10:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Zip contains file EXAMPLE.RTF shows problem and SCREENSHOTS.ODT with screenshots of document views in LibreOffice (incorrectly) and Apache OpenOffice (correctly) (448.44 KB, application/zip)
2013-07-29 18:48 UTC, odbc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description odbc 2013-07-29 18:48:09 UTC
Created attachment 83232 [details]
Zip contains file EXAMPLE.RTF shows problem and SCREENSHOTS.ODT with screenshots of document views in LibreOffice (incorrectly) and Apache OpenOffice (correctly)

Problem description: 

Steps to reproduce:
1. Open example.RTF

Current behavior:
First page formatting stretched

Expected behavior:
All of first page elements must be on the right half of page. In Apache OpenOffice it shows correctly. 

              
Operating System: Linux (Other)
Version: 4.1.0.4 release
Comment 1 Valek Filippov 2013-08-01 15:26:15 UTC
Confirmed on Linux with 4.1.1.
Build ID: c71f67198cd6fc98f77289c4f0276a45d19700d
Comment 2 Commit Notification 2013-08-05 15:46:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7884509a84d46a9d99b2950159d949589862f3a

fdo#67498 RTF import: fix missing margins vs continuous section breaks



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2013-08-05 16:09:04 UTC
-4-1 review: https://gerrit.libreoffice.org/5286
Comment 4 Commit Notification 2013-08-07 07:41:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fabc1154c962e8f2884f9afaa37b666b08cf833&h=libreoffice-4-1

fdo#67498 RTF import: fix missing margins vs continuous section breaks


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.